Subject: Trainer Candidate - Mohanraj Lakshmanasamy
From: Mohanraj Lakshmanasamy <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Thu, 22 Jul 2021 10:54:17 -0400

| | Tech Support Test

Name | Mohanraj Lakshmanasamy
E-mail | [email-masked]
Phone Number | (+91) 9786090037
Do you have your own transportation (2 or 4 wheeler) or are you able to commute to office without using Metro? Our office is located in Noida Sector 2, near Noida - Sector 15 Metro Station | I have my own 2/4 wheeler transport
Where do you currently live (area) | Chennai

Please give us details of your last 3 employments including current. If you've not worked in 3 companies, please enter NA

| Name of Company | Designation | Last working day | Monthly Salary (inhand)
Current Employer | Tech Mahindra | Team Lead | NA | 48600
Previous Employer 1 | CSS Corp | Team Lead | 16/07/2018 | 26583
Previous Employer 2 | Sutherland Global Services | Consultant | 19/04/2014 | 11000

If Selected, how much time do you need to join? | 60 Days
Please briefly describe your work experience specifically in training? | I am currently working as an acting team manager managing 70+ people. I was  into training new hires when I was a team lead for almost 3 years. I provide product and process training to the new hires and bottom performers if requires across the teams.
Have you worked as a trainer in a Call Center/Customer Service/BPO Environment? | Yes
Please tell us below in 300 - 500 words about the most difficult situation you faced either while training or managing a team. | Difficult situation, I would say its scheduling night shift for female employee's and rotating between the teams satisfying them at the same time without compromising on the schedule adherence.
What according to you is the difference between good and great customer service. (Explain in 4 - 6 sentences) | Good customer service is providing resolution on call in timely manner. Great customer service is serving customer in effective way and exceeding their expectations being patience, maintaining professionalism and keeping them engaged by providing more information which they are unaware of and serving based on their needs understanding reading them through call / Chat
What according to you makes you a good candidate for this position? | I am currently managing a huge team and has experience in training as well. I do have overall 8 years experience in International BPO in 3 different companies
On a scale of 1 - 5 please rate your fluency in spoken English | 5

| |